/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2011 Google Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#pragma once

namespace WebCore {

enum EventInterface {
#if ENABLE(APPLE_PAY)
    ApplePayCancelEventInterfaceType = 1,
    ApplePayPaymentAuthorizedEventInterfaceType = 2,
    ApplePayPaymentMethodSelectedEventInterfaceType = 3,
    ApplePayShippingContactSelectedEventInterfaceType = 4,
    ApplePayShippingMethodSelectedEventInterfaceType = 5,
    ApplePayValidateMerchantEventInterfaceType = 6,
#endif
#if ENABLE(APPLE_PAY_COUPON_CODE)
    ApplePayCouponCodeChangedEventInterfaceType = 7,
#endif
#if ENABLE(DEVICE_ORIENTATION)
    DeviceMotionEventInterfaceType = 8,
    DeviceOrientationEventInterfaceType = 9,
#endif
#if ENABLE(ENCRYPTED_MEDIA)
    MediaEncryptedEventInterfaceType = 10,
    MediaKeyMessageEventInterfaceType = 11,
#endif
#if ENABLE(GAMEPAD)
    GamepadEventInterfaceType = 12,
#endif
#if ENABLE(IOS_GESTURE_EVENTS) || ENABLE(MAC_GESTURE_EVENTS)
    GestureEventInterfaceType = 13,
#endif
#if ENABLE(LEGACY_ENCRYPTED_MEDIA)
    WebKitMediaKeyMessageEventInterfaceType = 14,
    WebKitMediaKeyNeededEventInterfaceType = 15,
#endif
#if ENABLE(MEDIA_STREAM)
    BlobEventInterfaceType = 16,
    MediaRecorderErrorEventInterfaceType = 17,
    MediaStreamTrackEventInterfaceType = 18,
    OverconstrainedErrorEventInterfaceType = 19,
#endif
#if ENABLE(ORIENTATION_EVENTS)
#endif
#if ENABLE(PAYMENT_REQUEST)
    MerchantValidationEventInterfaceType = 20,
    PaymentMethodChangeEventInterfaceType = 21,
    PaymentRequestUpdateEventInterfaceType = 22,
#endif
#if ENABLE(PICTURE_IN_PICTURE_API)
    EnterPictureInPictureEventInterfaceType = 23,
#endif
#if ENABLE(SERVICE_WORKER)
    ExtendableEventInterfaceType = 24,
    ExtendableMessageEventInterfaceType = 25,
    FetchEventInterfaceType = 26,
#endif
#if ENABLE(SPEECH_SYNTHESIS)
    SpeechSynthesisEventInterfaceType = 27,
#endif
#if ENABLE(TOUCH_EVENTS)
    TouchEventInterfaceType = 28,
#endif
#if ENABLE(VIDEO)
    TrackEventInterfaceType = 29,
#endif
#if ENABLE(WEBGL)
    WebGLContextEventInterfaceType = 30,
#endif
#if ENABLE(WEBXR)
    XRInputSourceEventInterfaceType = 31,
    XRInputSourcesChangeEventInterfaceType = 32,
    XRReferenceSpaceEventInterfaceType = 33,
    XRSessionEventInterfaceType = 34,
#endif
#if ENABLE(WEB_AUDIO)
    AudioProcessingEventInterfaceType = 35,
    OfflineAudioCompletionEventInterfaceType = 36,
#endif
#if ENABLE(WEB_RTC)
    RTCDTMFToneChangeEventInterfaceType = 37,
    RTCDataChannelEventInterfaceType = 38,
    RTCPeerConnectionIceErrorEventInterfaceType = 39,
    RTCPeerConnectionIceEventInterfaceType = 40,
    RTCTrackEventInterfaceType = 41,
    RTCTransformEventInterfaceType = 42,
#endif
#if ENABLE(WIRELESS_PLAYBACK_TARGET)
    WebKitPlaybackTargetAvailabilityEventInterfaceType = 43,
#endif
    AnimationEventInterfaceType = 44,
    AnimationPlaybackEventInterfaceType = 45,
    BeforeLoadEventInterfaceType = 46,
    BeforeUnloadEventInterfaceType = 47,
    ClipboardEventInterfaceType = 48,
    CloseEventInterfaceType = 49,
    CompositionEventInterfaceType = 50,
    CustomEventInterfaceType = 51,
    DragEventInterfaceType = 52,
    ErrorEventInterfaceType = 53,
    EventInterfaceType = 54,
    FocusEventInterfaceType = 55,
    FormDataEventInterfaceType = 56,
    HashChangeEventInterfaceType = 57,
    IDBVersionChangeEventInterfaceType = 58,
    InputEventInterfaceType = 59,
    KeyboardEventInterfaceType = 60,
    MediaQueryListEventInterfaceType = 61,
    MessageEventInterfaceType = 62,
    MouseEventInterfaceType = 63,
    MutationEventInterfaceType = 64,
    OverflowEventInterfaceType = 65,
    PageTransitionEventInterfaceType = 66,
    PointerEventInterfaceType = 67,
    PopStateEventInterfaceType = 68,
    ProgressEventInterfaceType = 69,
    PromiseRejectionEventInterfaceType = 70,
    SVGZoomEventInterfaceType = 71,
    SecurityPolicyViolationEventInterfaceType = 72,
    SpeechRecognitionErrorEventInterfaceType = 73,
    SpeechRecognitionEventInterfaceType = 74,
    StorageEventInterfaceType = 75,
    SubmitEventInterfaceType = 76,
    TextEventInterfaceType = 77,
    TransitionEventInterfaceType = 78,
    UIEventInterfaceType = 79,
    WebKitAnimationEventInterfaceType = 80,
    WebKitTransitionEventInterfaceType = 81,
    WheelEventInterfaceType = 82,
    XMLHttpRequestProgressEventInterfaceType = 83,
};

} // namespace WebCore
